<?php
/**
* Header Banner Options.
*
* @package Asterisk Lite
*/

$asterisk_lite_default = asterisk_lite_get_default_theme_options();
$asterisk_lite_post_category_list = asterisk_lite_post_category_list();

$wp_customize->add_section( 'header_banner_setting',
    array(
    'title'      => esc_html__( 'Slider Banner Settings', 'asterisk-lite' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'asterisk_lite_home',
    )
);

$wp_customize->add_setting('enable_header_banner',
    array(
        'default' => $asterisk_lite_default['enable_header_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'asterisk_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_header_banner',
    array(
        'label' => esc_html__('Enable Slider Banner', 'asterisk-lite'),
        'section' => 'header_banner_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'asterisk_lite_header_banner_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'asterisk_lite_sanitize_select',
    )
);
$wp_customize->add_control( 'asterisk_lite_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Category', 'asterisk-lite' ),
    'section'     => 'header_banner_setting',
    'type'        => 'select',
    'choices'     => $asterisk_lite_post_category_list,
    )
);


$wp_customize->add_setting('enable_banner_excerpt',
    array(
        'default' => $asterisk_lite_default['enable_banner_excerpt'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'asterisk_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_banner_excerpt',
    array(
        'label' => esc_html__('Enable Banner Excerpt', 'asterisk-lite'),
        'section' => 'header_banner_setting',
        'type' => 'checkbox',
    )
);
