<?php
/**
 * Default Values
 *
 * @package Asterisk Lite
 */

if( !function_exists('asterisk_lite_get_default_theme_options') ):

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
    */

    function asterisk_lite_get_default_theme_options(){

        $asterisk_lite_defaults = array();

        $asterisk_lite_defaults['asterisk_lite_social_icon_4'] = json_encode( array(
            array(
                'social_svg_icon'     => asterisk_lite_get_theme_svg( 'facebook',true ),
                'social_link'     => '#',
                'label'     => esc_html__('Facebook','asterisk-lite'),
            ),
            array(
                'social_svg_icon'     => asterisk_lite_get_theme_svg( 'twitter',true ),
                'social_link'     => '#',
                'label'     => esc_html__('Twitter','asterisk-lite'),
            ),
            array(
                'social_svg_icon'     => asterisk_lite_get_theme_svg( 'instagram',true ),
                'social_link'     => '#',
                'label'     => esc_html__('Instagram','asterisk-lite'),
            ),
        ) );

        $asterisk_lite_defaults['header_text']                               = esc_html__('Hello World!','asterisk-lite');
        $asterisk_lite_defaults['header_button_label']                       = esc_html__('Learn more','asterisk-lite');

        $asterisk_lite_defaults['asterisk_lite_pagination_layout']                  = 'numeric';
        $asterisk_lite_defaults['global_sidebar_layout']             = 'right-sidebar';
        $asterisk_lite_defaults['single_sidebar_layout']             = 'right-sidebar';
        $asterisk_lite_defaults['archive_sidebar_layout']             = 'right-sidebar';
        $asterisk_lite_defaults['enable_recommended_posts']             = 1;
        $asterisk_lite_defaults['enable_facebook']                  = 1;
        $asterisk_lite_defaults['enable_twitter']                   = 1;
        $asterisk_lite_defaults['enable_pinterest']                 = 1;
        $asterisk_lite_defaults['enable_linkedin']                  = 1;
        $asterisk_lite_defaults['enable_email']                     = 1;
        $asterisk_lite_defaults['enable_author_box']                = 1;
        $asterisk_lite_defaults['logo_width']                       = '60';
        $asterisk_lite_defaults['enable_single_related_post']       = 1;
        $asterisk_lite_defaults['enable_subscribe']                 = 0;
        $asterisk_lite_defaults['related_post_title']               = esc_html__('Related Posts','asterisk-lite');
        $asterisk_lite_defaults['subscribe_section_title']          = esc_html__('Newsletter Subscription Us','asterisk-lite');
        $asterisk_lite_defaults['subscribe_section_desc']           = esc_html__("Newsletter Subscription Us and we'll keep you updated with news and information",'asterisk-lite');

        $asterisk_lite_defaults['enable_header_search']             = 1;
        $asterisk_lite_defaults['enable_social_link']               = 1;
        $asterisk_lite_defaults['enable_popup_newsletter']          = 1;
        $asterisk_lite_defaults['popup_newsletter_description']     = esc_html__("Newsletter Subscription Us and we'll keep you updated with news and information",'asterisk-lite');
        $asterisk_lite_defaults['popup_newsletter_title']             = esc_html__('Newsletter Subscription Us','asterisk-lite');
        $asterisk_lite_defaults['404_page_image']             = get_template_directory_uri() . '/assets/images/404-image.jpg';
        $asterisk_lite_defaults['enable_404_recommended_posts'] = 1;
        $asterisk_lite_defaults['ed_floating_next_previous_nav'] = 1;
        $asterisk_lite_defaults['ed_popup_model_box'] = 0;
        $asterisk_lite_defaults['ed_popup_model_box_home_only'] = 0;
        $asterisk_lite_defaults['ed_popup_model_box_first_loading_only'] = 0;
        $asterisk_lite_defaults['wedev_popup_title'] = esc_html__('Sign Up to Our Newsletter', 'asterisk-lite');
        $asterisk_lite_defaults['wedev_popup_desc'] = esc_html__('Get notified about exclusive offers every week!', 'asterisk-lite');
        $asterisk_lite_defaults['enable_404_recommended_posts_title'] = esc_html__('Recommended Posts', 'asterisk-lite');
        $asterisk_lite_defaults['archive_recommended_posts_title'] = esc_html__('More like this', 'asterisk-lite');
        $asterisk_lite_defaults['enable_header_banner'] = 1;
        $asterisk_lite_defaults['enable_banner_excerpt'] = 1;
        $asterisk_lite_defaults['enable_header_featured_category'] = 0;

        // Typography.
        $asterisk_lite_defaults['wedev_tagline_font'] = 'Poppins';
        $asterisk_lite_defaults['wedev_tagline_font_weight'] = '900';
        $asterisk_lite_defaults['asterisk_lite_tagline_font_size'] = '34';

        $asterisk_lite_defaults['wedev_general_font'] = 'Roboto';
        $asterisk_lite_defaults['wedev_general_font_weight'] = 'regular';
        $asterisk_lite_defaults['asterisk_lite_general_font_size'] = '18';

        $asterisk_lite_defaults['wedev_heading_font'] = 'Lora';
        $asterisk_lite_defaults['wedev_heading_font_case'] = 'none';

        $asterisk_lite_defaults['asterisk_lite_h1_font_size'] = '52';
        $asterisk_lite_defaults['asterisk_lite_h2_font_size'] = '42';
        $asterisk_lite_defaults['asterisk_lite_h3_font_size'] = '34';
        $asterisk_lite_defaults['asterisk_lite_h4_font_size'] = '28';
        $asterisk_lite_defaults['asterisk_lite_h5_font_size'] = '24';
        $asterisk_lite_defaults['asterisk_lite_h6_font_size'] = '20';
        $asterisk_lite_defaults['asterisk_lite_h1_font_weight'] = '700';
        $asterisk_lite_defaults['asterisk_lite_h2_font_weight'] = '700';
        $asterisk_lite_defaults['asterisk_lite_h3_font_weight'] = '700';
        $asterisk_lite_defaults['asterisk_lite_h4_font_weight'] = '700';
        $asterisk_lite_defaults['asterisk_lite_h5_font_weight'] = '700';
        $asterisk_lite_defaults['asterisk_lite_h6_font_weight'] = '700';
        $asterisk_lite_defaults['asterisk_lite_tagline_font_case'] = 'none';


        $asterisk_lite_defaults['enable_header_featured_category_column'] = 3;

        // related post
        $asterisk_lite_defaults['enable_related_post'] = 0;
        $asterisk_lite_defaults['featured_stories_section_title'] = esc_html__('Top Stories', 'asterisk-lite');
        $asterisk_lite_defaults['featured_stories_layout_option'] = 'featured-stories-layout-1';


        $asterisk_lite_defaults['enable_featured_post'] = 0;
        $asterisk_lite_defaults['featured_posts_section_title'] = esc_html__('You may have missed', 'asterisk-lite');


        $asterisk_lite_defaults['home_section_order_6'] = array('cta-section','banner','featured-category','featured-post','latest-posts','related-post' );
        // Pass through filter.
        $asterisk_lite_defaults = apply_filters('asterisk_lite_filter_default_theme_options', $asterisk_lite_defaults);

        return $asterisk_lite_defaults;

    }

endif;
