<?php
/**
* Featured stories Options.
*
* @package Asterisk Lite
*/

$asterisk_lite_default = asterisk_lite_get_default_theme_options();
$asterisk_lite_post_category_list = asterisk_lite_post_category_list();

$wp_customize->add_section( 'featured_post_section',
    array(
    'title'      => esc_html__( 'Featured Post Settings', 'asterisk-lite' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'asterisk_lite_home',
    )
);

$wp_customize->add_setting('enable_featured_post',
    array(
        'default' => $asterisk_lite_default['enable_featured_post'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'asterisk_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_featured_post',
    array(
        'label' => esc_html__('Enable Featured Post', 'asterisk-lite'),
        'section' => 'featured_post_section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('featured_stories_section_title',
    array(
        'default' => $asterisk_lite_default['featured_stories_section_title'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('featured_stories_section_title',
    array(
        'label' => esc_html__('Section Title', 'asterisk-lite'),
        'section' => 'featured_post_section',
        'type' => 'text',
    )
);

$wp_customize->add_setting( 'featured_stories_layout_option',
    array(
        'default'           => $asterisk_lite_default['featured_stories_layout_option'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'asterisk_lite_sanitize_select',
    )
);
$wp_customize->add_control( 'featured_stories_layout_option',
    array(
    'label'       => esc_html__( 'Section Layout', 'asterisk-lite' ),
    'section'     => 'featured_post_section',
    'type'        => 'select',
    'choices'               => array(
        'featured-stories-layout-1'      => esc_html__( 'Layout - 1', 'asterisk-lite' ),
        'featured-stories-layout-2' => esc_html__( 'Layout - 2', 'asterisk-lite' ),
        ),
    )
);

$wp_customize->add_setting( 'asterisk_lite_featured_post_category',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'asterisk_lite_sanitize_select',
    )
);
$wp_customize->add_control( 'asterisk_lite_featured_post_category',
    array(
    'label'       => esc_html__( 'Featured Post Category', 'asterisk-lite' ),
    'section'     => 'featured_post_section',
    'type'        => 'select',
    'choices'     => $asterisk_lite_post_category_list,
    )
);
