<?php
/**
 * Section Reorder
 *
 * @package Asterisk Lite
**/

$asterisk_lite_default = asterisk_lite_get_default_theme_options();

// Section Reorder
$wp_customize->add_section( 'wedev_home_section_reorder',
	array(
	'title'      => esc_html__( 'Section Reorder', 'asterisk-lite' ),
	'capability' => 'edit_theme_options',
	'panel'		 => 'asterisk_lite_home',
	)
);


$wp_customize->add_setting(
	'home_section_order_6', 
	array(
		'default' => $asterisk_lite_default['home_section_order_6'],
		'sanitize_callback' => 'asterisk_lite_sanitize_reorder',
	)
);

$wp_customize->add_control(
	new Asterisk_Lite_Sortable_Control(
		$wp_customize,
		'home_section_order_6',
		array(
			'section'     => 'wedev_home_section_reorder',
			'label'       => __( 'Home Section Re-Order', 'asterisk-lite' ),
			'choices'     => array(
                'cta-section'   => __( 'Call To Action Section', 'asterisk-lite' ),
                'banner'   => __( 'Slide Banner Section', 'asterisk-lite' ),
        		'featured-category'  => __( 'Featured Category', 'asterisk-lite' ),
        		'featured-post'  => __( 'Featured Stories', 'asterisk-lite' ),
        		'related-post'  => __( 'Related Post', 'asterisk-lite' ),
        		'latest-posts'   => __( 'Latest Posts', 'asterisk-lite' ),
        	),
		)
	)
);