<?php
/**
 * Pagination Settings
 *
 * @package Asterisk Lite
 */

$asterisk_lite_default = asterisk_lite_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'asterisk_lite_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'asterisk-lite' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'asterisk_lite_options',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'asterisk_lite_pagination_layout',
	array(
	'default'           => $asterisk_lite_default['asterisk_lite_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'asterisk_lite_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'asterisk-lite' ),
	'section'     => 'asterisk_lite_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','asterisk-lite'),
		'numeric' => esc_html__('Numeric Method','asterisk-lite'),
		'load-more' => esc_html__('Ajax Load More Button','asterisk-lite'),
		'auto-load' => esc_html__('Ajax Auto Load','asterisk-lite'),
	),
	)
);