<?php
/**
* Related Post Options.
*
* @package Asterisk Lite
*/

$asterisk_lite_default = asterisk_lite_get_default_theme_options();
$asterisk_lite_post_category_list = asterisk_lite_post_category_list();

$wp_customize->add_section( 'related_post_setting',
    array(
    'title'      => esc_html__( 'Related Post Settings', 'asterisk-lite' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'asterisk_lite_home',
    )
);

$wp_customize->add_setting('enable_related_post',
    array(
        'default' => $asterisk_lite_default['enable_related_post'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'asterisk_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_related_post',
    array(
        'label' => esc_html__('Enable Related Post', 'asterisk-lite'),
        'section' => 'related_post_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('featured_posts_section_title',
    array(
        'default' => $asterisk_lite_default['featured_posts_section_title'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('featured_posts_section_title',
    array(
        'label' => esc_html__('Section Title', 'asterisk-lite'),
        'section' => 'related_post_setting',
        'type' => 'text',
    )
);


$wp_customize->add_setting( 'asterisk_lite_related_post_category',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'asterisk_lite_sanitize_select',
    )
);
$wp_customize->add_control( 'asterisk_lite_related_post_category',
    array(
    'label'       => esc_html__( 'Related Post Category', 'asterisk-lite' ),
    'section'     => 'related_post_setting',
    'type'        => 'select',
    'choices'     => $asterisk_lite_post_category_list,
    )
);
