<?php
/**
 * Social Icon Settings.
 *
 * @package Asterisk Lite
**/

$asterisk_lite_default = asterisk_lite_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'social_icon',
    array(
    'title'      => esc_html__( 'Social Icon Settings', 'asterisk-lite' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'asterisk_lite_options',
    )
);

$wp_customize->add_setting('enable_social_link',
    array(
        'default' => $asterisk_lite_default['enable_social_link'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'asterisk_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_social_link',
    array(
        'label' => esc_html__('Enable Social Link', 'asterisk-lite'),
        'section' => 'social_icon',
        'type' => 'checkbox',
    )
);

// Social Icons
$wp_customize->add_setting( 'asterisk_lite_social_icon_4', array(
    'sanitize_callback' => 'asterisk_lite_sanitize_social_icons',
    'default' => $asterisk_lite_default['asterisk_lite_social_icon_4'],
    'sanitize_callback' => 'asterisk_lite_sanitize_social_icons',
));

$wp_customize->add_control(  new Asterisk_Lite_Social_Icon_Controler( $wp_customize, 'asterisk_lite_social_icon_4',
    array(
        'section' => 'social_icon',
        'settings' => 'asterisk_lite_social_icon_4',
        'asterisk_lite_box_label' => esc_html__('Social Profile','asterisk-lite'),
        'asterisk_lite_box_add_control' => esc_html__('Add New Social Link','asterisk-lite'),
    ),
    array(
        'social_svg_icon' => array(
            'type'        => 'icons',
            'label'       => esc_html__( 'SVG Icons', 'asterisk-lite' ),
            'class'     => 'ta-fa-icons-rep'
        ),
        'social_link' => array(
            'type'        => 'link',
            'label'       => esc_html__( 'Social Links', 'asterisk-lite' ),
        ),
        'label' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Social Icon Label', 'asterisk-lite' ),
        ),
    )
));