<?php
/**
 * Featured storeis Section.
 *
 * @package Asterisk Lite
 */

if (!function_exists('asterisk_lite_featured_post_article')) :

    function asterisk_lite_featured_post_article()
    {

        $asterisk_lite_default = asterisk_lite_get_default_theme_options();
        $enable_featured_post = get_theme_mod('enable_featured_post', $asterisk_lite_default['enable_featured_post']);
        $featured_stories_section_title = get_theme_mod('featured_stories_section_title', $asterisk_lite_default['featured_stories_section_title']);
        $featured_stories_layout_option = get_theme_mod('featured_stories_layout_option', $asterisk_lite_default['featured_stories_layout_option']);
        $asterisk_lite_featured_post_category = get_theme_mod('asterisk_lite_featured_post_category');

        if ($enable_featured_post) {
            $featured_stories_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 6, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($asterisk_lite_featured_post_category)));
            if ($featured_stories_query->have_posts()):
                ?>
                
                <div class="wedevs-block wedevs-featured-stories">
                    <div class="site-wrapper">
                        <div class="wedevs-block-header">
                            <div class="wedevs-block-headlines">
                                <?php if ($featured_stories_section_title) { ?>
                                    <h2 class="wedevs-section-title ">
                                        <?php echo esc_html($featured_stories_section_title); ?>
                                    </h2>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                    <div class="<?php echo esc_attr($featured_stories_layout_option); ?>">
                    <div class="site-wrapper">
                        <div class="site-row">

                            <?php while ($featured_stories_query->have_posts()):
                                $featured_stories_query->the_post(); ?>
                                <div class="site-column mb-30 <?php if($featured_stories_layout_option == 'featured-stories-layout-1'){ echo 'site-column-4'; } else { echo 'site-column-6';} ?> site-column-sm-12">
                                    <article id="post-<?php the_ID(); ?>" <?php post_class('wedevs-post featured-stories-article'); ?> >

                                        <div class="entry-thumbnail entry-thumbnail-effect">
                                            <a href="<?php the_permalink(); ?>">
                                                <span class="data-bg data-bg-medium" data-background="<?php the_post_thumbnail_url('medium_large'); ?>"></span>
                                            </a>
                                            <?php if($featured_stories_layout_option == 'featured-stories-layout-1'){ ?>
                                                <div class="entry-meta">
                                                    <?php asterisk_lite_posted_on(); ?>
                                                </div>
                                            <?php }?> 
                                        </div>

                                        <div class="entry-details">
                                            <header class="entry-header">
                                                <div class="entry-meta">
                                                    <?php asterisk_lite_entry_cat(); ?>
                                                </div>
                                                <h3 class="entry-title entry-title-small">
                                                    <a href="<?php the_permalink(); ?>" rel="bookmark">
                                                        <?php the_title(); ?>
                                                    </a>
                                                </h3>
                                            </header>
                                            <div class="entry-excerpts">
                                            <?php if($featured_stories_layout_option == 'featured-stories-layout-2'){ ?>
                                                    <?php echo esc_html(wp_trim_words( get_the_content(), 15, '' )); ?>
                                            <?php } ?>

                                            </div>

                                            <?php

                                            if ('post' === get_post_type()) : ?>

                                                <footer class="entry-footer">
                                                    <div class="entry-footer-left">
                                                        <?php
                                                        if (comments_open() || get_comments_number()) {
                                                            $comment_count = get_comments_number(get_the_ID());
                                                            $comment_url = get_comments_link(get_the_ID());
                                                            ?>

                                                            <div class="comment-link">
                                                                <a href="<?php echo esc_url($comment_url); ?>">
                                                                    <span><?php asterisk_lite_get_theme_svg('comment'); ?></span>
                                                                    <span><?php echo absint($comment_count) . esc_html__(' Comments', 'asterisk-lite'); ?></span>
                                                                </a>
                                                            </div>

                                                        <?php } ?>
                                                    </div>

                                                    <div class="entry-footer-right">
                                                        <div class="wedevs-social-share">
                                                            <?php asterisk_lite_social_share(); ?>
                                                        </div>
                                                    </div>
                                                </footer>

                                            <?php endif; ?>


                                        </div>

                                    </article>
                                </div>
                            <?php endwhile; ?>

                        </div>
                    </div>
                    </div>
                </div>
                <?php
                wp_reset_postdata();
            endif;
        }

    }

endif;