<?php
/**
 * Featured Category Section.
 *
 * @package Asterisk Lite
 */

if (!function_exists('asterisk_lite_related_post_article')) :

    function asterisk_lite_related_post_article()
    {

        $asterisk_lite_default = asterisk_lite_get_default_theme_options();
        $enable_related_post = get_theme_mod('enable_related_post', $asterisk_lite_default['enable_related_post']);
        $featured_posts_section_title = get_theme_mod('featured_posts_section_title', $asterisk_lite_default['featured_posts_section_title']);
        $asterisk_lite_related_post_category = get_theme_mod('asterisk_lite_related_post_category');


        $rtl = '';
        if (is_rtl()) {
            $rtl = 'dir="rtl"';
        }

        if ($enable_related_post) {
            $related_posts_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 6, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($asterisk_lite_related_post_category)));
            if ($related_posts_query->have_posts()):
                ?>
                <div class="wedevs-block wedevs-related-stories">
                    <div class="site-wrapper">
                        <div class="wedevs-block-header">
                            <div class="wedevs-block-headlines">
                                <?php if ($featured_posts_section_title) { ?>
                                    <h2 class="wedevs-section-title ">
                                        <?php echo esc_html($featured_posts_section_title); ?>
                                    </h2>
                                <?php } ?>
                            </div>
                            <div class="wedevs-carousel-control">
                                <div class="wedevs-carousel-prev"><?php asterisk_lite_get_theme_svg('chevron-left') ?></div>
                                <div class="wedevs-carousel-next"><?php asterisk_lite_get_theme_svg('chevron-right') ?></div>
                            </div>
                        </div>
                    </div>
                    <div class="site-wrapper-fluid">
                        <div class="site-row">
                            <div class="site-column site-column-12 site-column-sm-12">
                                <div class="swiper-container homepage-carousel-slider" <?php echo $rtl; ?>>
                                    <div class="swiper-wrapper">
                                        <?php while ($related_posts_query->have_posts()):
                                            $related_posts_query->the_post(); ?>
                                            <div class="swiper-slide swiper-slide-item">
                                                <article id="post-<?php the_ID(); ?>" <?php post_class('wedevs-post related-stories-article'); ?> >

                                                    <div class="entry-thumbnail entry-thumbnail-effect">
                                                        <a href="<?php the_permalink(); ?>">
                                                            <span class="data-bg data-bg-medium-large" data-background="<?php the_post_thumbnail_url('medium_large'); ?>"></span>
                                                        </a>

                                                        <div class="entry-meta">
                                                            <?php
                                                            asterisk_lite_posted_on();
                                                            ?>
                                                        </div>
                                                    </div>
                                                    <div class="entry-details">
                                                        <header class="entry-header">
                                                            <div class="entry-meta">
                                                                <?php asterisk_lite_entry_cat(); ?>
                                                            </div>
                                                            <h3 class="entry-title entry-title-medium">
                                                                <a href="<?php the_permalink(); ?>" rel="bookmark">
                                                                    <?php the_title(); ?>
                                                                </a>
                                                            </h3>
                                                        </header>


                                                        <?php

                                                        if ('post' === get_post_type()) : ?>

                                                            <footer class="entry-footer">
                                                                <div class="entry-footer-left">
                                                                    <?php
                                                                    if (comments_open() || get_comments_number()) {

                                                                        $comment_count = get_comments_number(get_the_ID());
                                                                        $comment_url = get_comments_link(get_the_ID());
                                                                        ?>

                                                                        <div class="comment-link">
                                                                            <a href="<?php echo esc_url($comment_url); ?>">
                                                                                <span><?php asterisk_lite_get_theme_svg('comment'); ?></span>
                                                                                <span><?php echo absint($comment_count) . esc_html__(' Comments', 'asterisk-lite'); ?></span>
                                                                            </a>
                                                                        </div>

                                                                    <?php } ?>
                                                                </div>

                                                                <div class="entry-footer-right">
                                                                    <div class="wedevs-social-share">
                                                                        <?php asterisk_lite_social_share(); ?>
                                                                    </div>
                                                                </div>
                                                            </footer>

                                                        <?php endif; ?>


                                                    </div>

                                                </article>
                                            </div>
                                        <?php endwhile; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                wp_reset_postdata();
            endif;
        }

    }

endif;